package privacyManager;

import java.io.Serializable;
import java.lang.reflect.Array;
import java.sql.Time;
import java.util.HashMap;
import java.util.Set;

import org.akogrimo.wp42.contextmanager.entities.Context;

public class CurrentContext implements Serializable{
	
	
	private static final long serialVersionUID = 1L;
	private HashMap contextTypeList=new HashMap();
	private String nameOfCase;
	private Time start;
	private Time stop;
	private int[] coord=new int[2];
	private String presenceStatus;
	private String serviceStatus;
	
	public CurrentContext(String name, HashMap type, Time start, Time stop){
				
		nameOfCase=name;
		contextTypeList=type;
		this.start=start;
		this.stop=stop;
					
		if(contextTypeList.containsKey(new Integer(Context.RFID_LOCATION))){
			coord=(int[]) contextTypeList.get(new Integer(Context.RFID_LOCATION));			
		}
		if (contextTypeList.containsKey(new Integer(Context.SIP_PRESENCE))){
			
			presenceStatus=(String) contextTypeList.get(new Integer(Context.SIP_PRESENCE));
		}
		if (contextTypeList.containsKey(new Integer(Context.SLP_SERVICE))){
			serviceStatus=(String) contextTypeList.get(new Integer(Context.SLP_SERVICE));	
			
		}
		
				
	}
	//setter verdi til de forskjellige kontekst parameterene
	
	public String toString(){
		
		return nameOfCase;
	}
	public String getName(){
		return nameOfCase;	
	}
	
	public HashMap getContextList(){
		
		return contextTypeList;
	}
	
	public float getXcoord(){
		float x=0;
		x = coord[0];
		return x;
	}
	
	public float getYcoord(){
		float y=0;
		y = coord[1];
		return y;
	}
	
	public Time[] getTime(){		
		Time[] timeInterval= new Time[2];
		timeInterval[0]= start;
		timeInterval[1]= stop;
		return timeInterval;
	}

	public String getPresenceStatus() {
		return presenceStatus;
	}
	
	public String getServiceStatus() {
		return serviceStatus;
	}
	
}	
