package privacyManager;


import java.io.Serializable;

import org.akogrimo.wp42.contextmanager.entities.Context;


//klassen som definerer kontekst objektet som skal deles med andre - bruker klassen DetailLevel til  si i hvilken
//hver type kontekst skal deles


public class SharedContext implements Serializable{

	private static final long serialVersionUID = 1L;
		private int detailLevel;
		private Context context;
		private int contextType;
		private DetailLevel level;
		
	
	
	public SharedContext(int contextType, int detailLevel){
		
		this.detailLevel=detailLevel;
		this.contextType=contextType;
		context=new Context(contextType, "");
		level= new DetailLevel(detailLevel, contextType);
	}
	
	public void setContextType(){
		
		context.setContextType(contextType);
	}
	
	public int getContextType(){
		
		contextType=context.getContextType();
		
		return contextType;
	}
	
	public void setDetailLevel(){
		
		level.setDetailLevel(detailLevel);
		
	}	
	
	public int getDetailLevel(){
		
		detailLevel=level.getDetailLevel();
		return detailLevel;
		
	}
}
