package userGui;

import java.awt.*;
import java.awt.event.*;
import java.util.HashMap;
import javax.swing.*;
import org.akogrimo.wp42.contextmanager.entities.User;
import privacyManager.*;

public class CreateGroupsWindow extends JFrame implements ActionListener{

		 
		private static final long serialVersionUID = 1L;
	    private JTextField writeGroupName;
	    private JTextField writeUserName;
	    private JTextField writeUserID;
	    private UserInput input = new UserInput();
	    private Privacy privacy =input.getPrivacy();
	    private String userId=privacy.getUserID();
	    private HashMap idNameList= new HashMap();
	    private AccessPolicy policy= privacy.getPolicy(userId);

	    
	    
	    public CreateGroupsWindow(String windowTitle){
	       	super(windowTitle);
	       	setSize(500,200);
	       	addUserIdComponents();

	    }
	    
	    public void addUserIdComponents(){
	    	
	    		
			GridLayout flyt = new GridLayout(5,5,5,5);
			Container contentPane = getContentPane();//metode i JFrame, kalles dir
			contentPane.setLayout(flyt);
						
			JLabel nameLabel=new JLabel("Name of Group: ");
			contentPane.add(nameLabel);
			writeGroupName = new JTextField(20);
		    contentPane.add(writeGroupName);
			
		    nameLabel=new JLabel("Name: ");
			contentPane.add(nameLabel); 
		    writeUserName = new JTextField(20);
		    contentPane.add(writeUserName);
		        
		    JLabel iDLabel=new JLabel("UserID:");
			contentPane.add(iDLabel);
		    writeUserID = new JTextField(20);
		    contentPane.add(writeUserID);		     
		    
		    JButton saveID = new JButton("Add User to group");
		    contentPane.add(saveID);//legger til knappen
		    saveID.addActionListener(new ActionListener(){
		    	public void actionPerformed(ActionEvent e){
		    		
		    		readUserIDandName();
		    		
		    	}
		    });
		    
		    JButton saveName = new JButton("Save");
			contentPane.add(saveName);//legger til knappen
		    saveName.addActionListener(new ActionListener(){
		    	public void actionPerformed(ActionEvent e){
		    		createGroup();
		    	}
		    });  	
	    }			


		public void readUserIDandName(){
			//gui for input av navn og bruker ID
			String userName= writeUserName.getText();
			writeUserName.setText("");
			String userID = writeUserID.getText();
			writeUserID.setText("");
			//navn og id legges inn i arrayList
			User user=new User(userID,userName);
			idNameList.put(user, userID);
	
		}
		
		public void createGroup(){
			//gui for gruppenavn
			String groupName = writeGroupName.getText();
			writeGroupName.setText("");
	
			//oppretter en ny aksessgruppe med gruppenavn og liste av brukere
			AccessGroups gruppe=new AccessGroups(groupName,idNameList);
			//kaller metode i PrivacyHandler som legger gruppen til arrayList av aksessgrupper
			policy.setAccessGroupsArray(gruppe);
			idNameList=new HashMap();
			//testing
			dispose();
			
		}


		public void actionPerformed(ActionEvent arg0) {
			// TODO Auto-generated method stub
			
		}
		
}
