package userGui;

import java.awt.*;
import java.awt.event.ActionEvent;
import java.awt.event.ActionListener;
import javax.swing.*;
import javax.swing.event.*;
import privacyManager.*;

public class EditGroups extends JFrame implements ActionListener, ListSelectionListener {

	private static final long serialVersionUID = 1L;
    private UserInput input = new UserInput();
    private Privacy privacy =input.getPrivacy();
    private String userId=privacy.getUserID();
    private AccessPolicy policy =privacy.getPolicy(userId);
    private JComboBox s;
    private AccessGroups group;
    private Matrix matrix;
   
	public EditGroups(String windowTitle){
		super(windowTitle);      
       	setSize(500,200);
        matrix=privacy.getAccessMatrix(userId);
        setComponents();  
	}
	
	
	 public void setComponents(){
		FlowLayout layout = new FlowLayout();
		Container contentPane = getContentPane();//metode i JFrame, kalles dir
		contentPane.setLayout(layout);
		 
    	int str= (policy.getListOfGroups()).size();
	   	AccessGroups[] groups = new AccessGroups[str];
		for(int i=0; i<policy.getListOfGroups().size();i++){
			AccessGroups group = (AccessGroups) policy.getListOfGroups().get(i);
			groups[i]= group;
			}
		s = new JComboBox(groups);
		contentPane.add(s);
		s.addActionListener(new ActionListener(){
	    	public void actionPerformed(ActionEvent e){
	    		s = (JComboBox)e.getSource();
	            group= (AccessGroups)s.getSelectedItem();		               
	    	}});
    		    	
    	JButton removeGroup = new JButton("Remove Group");
        contentPane.add(removeGroup);
        removeGroup.addActionListener(new ActionListener(){
	    	public void actionPerformed(ActionEvent e){
	    		policy.removeGroup(group);            
	    	}});
       	    	
        JButton addButton = new JButton("Add/remove user");
        contentPane.add(addButton);
//        addButton.addActionListener(new ActionListener(){
//	    	public void actionPerformed(ActionEvent e){
//	    		EditUserList ul= new EditUserList("Edit user list", group);
//		    	ul.setVisible(true);           
//	    	}});
        
        JButton ok = new JButton("OK");
        contentPane.add(ok);
        ok.addActionListener(this);
  	 	}
	   



	public void actionPerformed(ActionEvent arg0) {
		dispose();
		
	}


	public void valueChanged(ListSelectionEvent arg0) {
		// TODO Auto-generated method stub
		
	}
	

}
