package userGui;

import java.awt.*;
import java.awt.event.*;
import javax.swing.*;



public class TimeInterval extends JFrame implements ActionListener{

	private static final long serialVersionUID = 1L;
	private JTextField writeTimeStart;
    private JTextField writeTimeStop;
    private String tStart;
	private String tStop;
	   
	public TimeInterval(String windowTitle){
		super(windowTitle);
       	setSize(500,200);
       	
       	FlowLayout flyt = new FlowLayout(FlowLayout.LEFT);
		Container contentPane = getContentPane();//metode i JFrame, kalles dir
		contentPane.setLayout(flyt);
		
		JLabel timeLabelStart=new JLabel();
		contentPane.add(timeLabelStart);
		timeLabelStart.setText("Write start time (hh:mm:ss): ");
			
		writeTimeStart = new JTextField(20);
		writeTimeStart.setText("00:00:00");
	    contentPane.add(writeTimeStart);
		        
	    JLabel timeLabelStop=new JLabel();
		contentPane.add(timeLabelStop);
		timeLabelStop.setText("Write stop time (hh:mm:ss): ");
			
		writeTimeStop = new JTextField(20);
		writeTimeStop.setText("00:00:00");
		contentPane.add(writeTimeStop);
			    
	    JButton saveTime = new JButton("OK");
	  	contentPane.add(saveTime);//legger til knappen  		
		saveTime.addActionListener(this);
	}
	
	
	public String[] getTimeInterval(){
	
		String[] s= new String[2];
		s[0]=tStart;		
		s[1]=tStop;
		return s;
	}

	public void actionPerformed(ActionEvent e) {
		
		tStart= writeTimeStart.getText();
		writeTimeStart.setText("");
		tStop=writeTimeStop.getText();
		writeTimeStop.setText("");
		
		dispose();
	}
}
