package userGui;

import javax.swing.*;
import privacyManager.*;
import java.awt.*;
import java.awt.event.*;

public class UserGui extends JFrame implements ActionListener{
	 
		private static final long serialVersionUID = 1L;
		private JButton groups;
	    private JButton currentContext;
	    private JButton contextType;
	    private JButton status;
	  
	    public UserGui(String windowTitle){
	       	super(windowTitle);           	
	    	placeFirstComponents(); 
	        setSize(500,200);
	       	       		 
	     }
	    

		public void placeFirstComponents(){
		FlowLayout layout = new FlowLayout();
		Container contentPane = getContentPane();
		contentPane.setLayout(layout);
				
		JTextArea label=new JTextArea("Edit your access policy by adding access groups and defining situations."+'\n'+" Then set the access rights.");
		contentPane.add(label);
		
		groups = new JButton("Access Groups");
		contentPane.add(groups);
	    groups.addActionListener(this);

		currentContext = new JButton("Current context preferences");
		contentPane.add(currentContext);
		currentContext.addActionListener(this);

		contextType= new JButton("Set Access Rights");
		contentPane.add(contextType);
		contextType.addActionListener(this);
		
		status= new JButton("Status");
		contentPane.add(status);
		status.addActionListener(this);
		
	    }//metode
	    
	    
	    public void actionPerformed(ActionEvent e){
	          			    		
	    		if ("Access Groups".equals(e.getActionCommand())){
	    		   GroupWindow cgW = new GroupWindow("Edit Access Groups");
	           	   cgW.setVisible(true);
	           	   
	           	   	}          	   
	           	   
	    		else if ("Current context preferences".equals(e.getActionCommand())){
	    	    	
		           	   CurrentContextWindow ccWindow = new CurrentContextWindow("Define current context preferences");
		           	   ccWindow.setVisible(true);
		           	   
		    		}
	    		
	    		else if ("Set Access Rights".equals(e.getActionCommand())){
	    	    	
		           	   AccessRightsWindow acWindow= new AccessRightsWindow("Set Access Rights");
		           	   acWindow.setVisible(true);
		           	   
		           	
		    		}
	    		else if ("Status".equals(e.getActionCommand())){
	    	    	
	    			UserInput u = new UserInput();
	    			Privacy p=u.getPrivacy();
	    			String userId=p.getUserID();
	    			Matrix m= p.getAccessMatrix(userId);
		           	   m.status();		           	
		    		}
	    		
	    		else{
	    			System.out.println("Error");
	    		}
	       
	    	
	     }//metode
	    
		
		
			

		
		
}//klasse
